Subject: Re: bug#21612: 24.5; Configuration variable to delete auto-save file when intentionally killing buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Aug 2021 21:57:29 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Mon, 23 Aug 2021 18:40:40 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Hmm... bother.  If the new variable kill-buffer-delete-auto-save-files
> > is non-nil, we ask the user even if we eventually don't delete the
> > auto-save file, for example if auto-save-visited-mode is in effect.
> > Is that TRT?
> 
> If that's the case, it's a bug.  I'll have a look at this tomorrow.

Actually, if auto-save-visited-mode is on, the buffer will not be
modified after auto-saving.  But the general concern is still there:
we ask the question before we decide whether to delete, which I think
could cause trouble some day.

> > Also, I'd bet people would like to be able to delete them without any
> > questions asked, so maybe the variable should be a tristate, not a
> > boolean?
> 
> I think that's too dangerous, really, so I'd rather not.  But if others
> feel strongly that that should be a feature, I wouldn't oppose it.

Fair enough.